%{?nodejs_find_provides_and_requires}

%global packagename test-exclude

# tests disabled due to requiring older version of npm(snapdragon)
%global enable_tests 0

Name:		nodejs-test-exclude
Version:	4.2.1
Release:	1%{?dist}
Summary:	Test for inclusion or exclusion of paths using pkg-conf and globs

License:	ISC
URL:		https://github.com/istanbuljs/istanbuljs.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	%{packagename}-tests-%{version}.tar.bz2
Source10:	dl-istanbul-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(arrify)
BuildRequires:	npm(micromatch)
BuildRequires:	npm(object-assign)
BuildRequires:	npm(read-pkg-up)
BuildRequires:	npm(require-main-filename)


%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Test for inclusion or exclusion of paths using pkg-conf and globs


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep read-pkg-up '~2.0.0'

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 26 2018 Jared K. Smith <jsmith@fedoraproject.org> - 4.2.1-1
- Initial packaging
